"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-screen-idle-timer' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ScreenIdleTimerPackage = _reactNative.NativeModules.ScreenIdleTimer ? _reactNative.NativeModules.ScreenIdleTimer : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
let mounted = 0;
class ScreenIdleTimer extends _react.Component {
  static activate() {
    ScreenIdleTimerPackage.activate();
  }
  static deactivate() {
    ScreenIdleTimerPackage.deactivate();
  }
  componentDidMount() {
    mounted++;
    ScreenIdleTimer.activate();
  }
  componentWillUnmount() {
    mounted--;
    if (!mounted) {
      ScreenIdleTimer.deactivate();
    }
  }
  render() {
    return null;
  }
}
exports.default = ScreenIdleTimer;
//# sourceMappingURL=index.js.map